void quickSortMatrice(int matrice[][6], int righe, int colonne, int low, int high) {
    if (low < high) {
        int pivot = matrice[high][colonne];
        int i = (low - 1);

        for (int j = low; j < high; j++) {
            if (matrice[j][colonne] <= pivot) {
                i++;
                int temp = matrice[i][colonne];
                matrice[i][colonne] = matrice[j][colonne];
                matrice[j][colonne] = temp;
            }
        }

        int temp = matrice[i + 1][colonne];
        matrice[i + 1][colonne] = matrice[high][colonne];
        matrice[high][colonne] = temp;

        int pi = i + 1;

        quickSortMatrice(matrice, righe, colonne, low, pi - 1);
        quickSortMatrice(matrice, righe, colonne, pi + 1, high);
    }
}
